function E0090()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(0)
end
function E0091()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(1)
end
function E0092()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(2)
end
function E0093()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(3)
end
function E0094()
    MNA()CMU("CS_Dusk")InitMapLayer()FAI(4)
end

function InitMapLayer()
    DNP("InitMapLayer")
    if(DIF() == 0) then
        CMP("cmpLayer1","mainLayer")
    end
end

function GoWindCave()
    PRI()FAO(2)TRA("CS_windycave","E0090",39,7)
end

function GoSoapCastleGolemTower()
    PRI()FAO(1)TRA("CS_soapcastle_golemtower","SlayTheCastle",3,60,0,74)
end

function Frog1()
    if(FLJ("GetCapacitor")) then
        PRI()
        FAC("frog_normal")
        MS4("\nGood luck on your journey.")NOD()
    else
        PRI()
        FAC("frog_normal")
        MS4("Rumor has it that the Soap Monsters")
        CAT("\nreally like beautiful big fish,")NOD()
        CAT("\nand they worship them like Buddha.")NOD()CLR()
        CAT("Good thing I'm not a fish.")NOD()
        MS4("\nBut I knew rebels like you")
        CAT("\nwould show up eventually.")NOD()CLR()
        CAT("You're going to defeat") 
        CAT("\nthe Soap Monsters, right?")NOD()
        CAT("\nUnfortunately, all I have left")
        CAT("\nis this capacitor...")NOD()
        CAT("\nI'll give it to you.")NOD()CLR()
        GIT("Capacitor")
        SOU("CS_038_get_item")
        ITP("Capacitor")
        FLP("GetCapacitor")
        FAC()CAT("\nObtained - Capacitor -")NOD()
    end
end